Merge lp:~ubuntu-sdk-team/ubuntu-ui-toolkit/respectTheShadow into lp:ubuntu-ui-toolkit/staging

Proposed by Cris Dywan
Status: Merged
Approved by: Benjamin Zeller
Approved revision: 1997
Merged at revision: 2003
Proposed branch: lp:~ubuntu-sdk-team/ubuntu-ui-toolkit/respectTheShadow
Merge into: lp:ubuntu-ui-toolkit/staging
Diff against target: 234 lines (+29/-33)
10 files modified
src/Ubuntu/Components/Styles/Styles.pro (+0/-3)
src/Ubuntu/Components/Themes/ThemesModule.pro (+0/-3)
tests/unit/add_qmlmakecheck.pri (+1/-1)
tests/unit/add_qmlmakecheck_x11.pri (+1/-1)
tests/unit/i18n/LocalizedApp/LocalizedApp.pro (+0/-1)
tests/unit/i18n/RelativeTime/RelativeTime.pro (+0/-1)
tests/unit/mainview/mainview.pro (+0/-2)
tests/unit/page/page.pro (+0/-2)
tests/unit/runtest.sh (+20/-15)
tests/xvfb.sh (+7/-4)
To merge this branch: bzr merge lp:~ubuntu-sdk-team/ubuntu-ui-toolkit/respectTheShadow
Reviewer Review Type Date Requested Status
ubuntu-sdk-build-bot continuous-integration Approve
Benjamin Zeller Approve
Review via email: mp+296520@code.launchpad.net

Commit message

Correctly use build/src dir with unit tests

To post a comment you must log in.
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
1996. By Cris Dywan

Add exceptions for broken unit tests

Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Needs Fixing (continuous-integration)
1997. By Cris Dywan

Undo wrongly removed copying of artwork files

Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Approve (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Approve (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Approve (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Approve (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Approve (continuous-integration)
Revision history for this message
Benjamin Zeller (zeller-benjamin) wrote :

LGTM

review: Approve
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Approve (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Approve (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Approve (continuous-integration)
Revision history for this message
ubuntu-sdk-build-bot (ubuntu-sdk-build-bot) wrote :
review: Approve (continuous-integration)

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1=== modified file 'src/Ubuntu/Components/Styles/Styles.pro'
2--- src/Ubuntu/Components/Styles/Styles.pro 2015-11-24 20:49:07 +0000
3+++ src/Ubuntu/Components/Styles/Styles.pro 2016-06-09 15:26:11 +0000
4@@ -1,7 +1,5 @@
5 TARGETPATH = Ubuntu/Components/Styles
6
7-ARTWORK_FILES = $$system(find artwork -type f)
8-
9 QML_FILES += 1.2/ComboButtonStyle.qml \
10 1.2/PageHeadStyle.qml \
11 1.2/PullToRefreshStyle.qml \
12@@ -9,7 +7,6 @@
13 1.3/ActionBarStyle.qml \
14 1.3/PageHeaderStyle.qml \
15 1.3/ToolbarStyle.qml \
16- $$ARTWORK_FILES
17
18 load(ubuntu_qml_module)
19
20
21=== modified file 'src/Ubuntu/Components/Themes/ThemesModule.pro'
22--- src/Ubuntu/Components/Themes/ThemesModule.pro 2015-05-19 09:23:01 +0000
23+++ src/Ubuntu/Components/Themes/ThemesModule.pro 2016-06-09 15:26:11 +0000
24@@ -1,12 +1,9 @@
25 TARGETPATH = Ubuntu/Components/Themes
26
27
28-ARTWORK_FILES = $$system(find artwork -type f)
29-
30 QML_FILES += 1.2/Palette.qml \
31 1.2/PaletteValues.qml \
32 1.3/Palette.qml \
33 1.3/PaletteValues.qml \
34- $$ARTWORK_FILES
35
36 load(ubuntu_qml_module)
37
38=== modified file 'tests/unit/add_qmlmakecheck.pri'
39--- tests/unit/add_qmlmakecheck.pri 2016-02-08 09:33:08 +0000
40+++ tests/unit/add_qmlmakecheck.pri 2016-06-09 15:26:11 +0000
41@@ -7,7 +7,7 @@
42 for(TEST, TESTS) {
43 _uitk_command = cd $$_PRO_FILE_PWD_;
44 _uitk_command += env UITK_TEST_KEEP_RUNNING=1
45- _uitk_command += '$${ROOT_SOURCE_DIR}/tests/unit/runtest.sh "$$shadowed($$_PRO_FILE_PWD_)/$${TARGET}" "$${TEST}" minimal';
46+ _uitk_command += '$${ROOT_SOURCE_DIR}/tests/unit/runtest.sh "$$shadowed($$_PRO_FILE_PWD_)/$${TARGET}" "$${_PRO_FILE_PWD_}/$${TEST}" minimal';
47
48 check.commands += $${_uitk_command}
49
50
51=== modified file 'tests/unit/add_qmlmakecheck_x11.pri'
52--- tests/unit/add_qmlmakecheck_x11.pri 2016-05-30 15:14:42 +0000
53+++ tests/unit/add_qmlmakecheck_x11.pri 2016-06-09 15:26:11 +0000
54@@ -10,7 +10,7 @@
55 for(TEST, TESTS) {
56 _uitk_command = cd $$_PRO_FILE_PWD_;
57 _uitk_command += env UITK_TEST_KEEP_RUNNING=1
58- _uitk_command += '$${ROOT_SOURCE_DIR}/tests/unit/runtest.sh "$$shadowed($$_PRO_FILE_PWD_)/$${TARGET}" "$${TEST}"';
59+ _uitk_command += '$${ROOT_SOURCE_DIR}/tests/unit/runtest.sh "$$shadowed($$_PRO_FILE_PWD_)/$${TARGET}" "$${_PRO_FILE_PWD_}/$${TEST}"';
60
61 check.commands += $${_uitk_command}
62
63
64=== modified file 'tests/unit/i18n/LocalizedApp/LocalizedApp.pro'
65--- tests/unit/i18n/LocalizedApp/LocalizedApp.pro 2016-05-31 09:02:35 +0000
66+++ tests/unit/i18n/LocalizedApp/LocalizedApp.pro 2016-06-09 15:26:11 +0000
67@@ -5,7 +5,6 @@
68 DOMAIN = localizedApp
69 mo.target = mo
70 mo.commands = set -e;
71-mo.commands += echo Generating localization;
72 mo.commands += msgfmt $$PWD/po/en_US.po -o $$PWD/$${DOMAIN}/share/locale/en/LC_MESSAGES/$${DOMAIN}.mo;
73 QMAKE_EXTRA_TARGETS += mo
74 PRE_TARGETDEPS += mo
75
76=== modified file 'tests/unit/i18n/RelativeTime/RelativeTime.pro'
77--- tests/unit/i18n/RelativeTime/RelativeTime.pro 2016-05-31 09:02:35 +0000
78+++ tests/unit/i18n/RelativeTime/RelativeTime.pro 2016-06-09 15:26:11 +0000
79@@ -5,7 +5,6 @@
80 DOMAIN = ubuntu-ui-toolkit
81 mo.target = mo
82 mo.commands = set -e;
83-mo.commands += echo Generating localization;
84 mo.commands += msgfmt $${PWD}/po/en_US.po -o $${PWD}/$${DOMAIN}/share/locale/en/LC_MESSAGES/$${DOMAIN}.mo;
85 QMAKE_EXTRA_TARGETS += mo
86 PRE_TARGETDEPS += mo
87
88=== modified file 'tests/unit/mainview/mainview.pro'
89--- tests/unit/mainview/mainview.pro 2016-05-31 09:02:35 +0000
90+++ tests/unit/mainview/mainview.pro 2016-06-09 15:26:11 +0000
91@@ -2,5 +2,3 @@
92
93 QT += gui
94 SOURCES += tst_mainview.cpp
95-
96-OTHER_FILES += $$system(ls tst_*.qml)
97
98=== modified file 'tests/unit/page/page.pro'
99--- tests/unit/page/page.pro 2016-05-31 09:02:35 +0000
100+++ tests/unit/page/page.pro 2016-06-09 15:26:11 +0000
101@@ -2,5 +2,3 @@
102
103 QT += gui
104 SOURCES += tst_page.cpp
105-
106-OTHER_FILES += $$system(ls tst_*.qml)
107
108=== modified file 'tests/unit/runtest.sh'
109--- tests/unit/runtest.sh 2016-06-01 09:48:44 +0000
110+++ tests/unit/runtest.sh 2016-06-09 15:26:11 +0000
111@@ -43,14 +43,14 @@
112 echo " $0 TEST_EXECUTABLE [QML_FILE] [QT_QPA_PLATFORM]"
113 echo ''
114 echo 'Examples:'
115- echo " $0 $(relpath ${BUILD_DIR}/tests/unit/components/components) tst_label13.qml minimal"
116+ echo " $0 $(relpath ${BUILD_DIR}/tests/unit/components/components) $(relpath ${SRC_DIR}/tests/unit/components/tst_label13.qml) minimal"
117 echo ''
118 echo " cd $(relpath ${BUILD_DIR}/tests/unit/mainview)"
119 echo " ../$(basename $0) mainview minimal"
120 echo " cd ../../.."
121 echo ''
122 echo " cd $(relpath ${BUILD_DIR}/tests/unit/visual)"
123- echo " ../../xvfb.sh ../../unit/$(basename $0) visual tst_listitem13.qml"
124+ echo " ../../xvfb.sh ../../unit/$(basename $0) visual ../../unit/visual/tst_listitem13.qml"
125 echo " cd ../../.."
126 echo ''
127 echo " $(relpath ${BUILD_DIR}/tests/xvfb.sh) $0 $(relpath ${BUILD_DIR}/tests/unit/bottomedge/bottomedge)"
128@@ -74,20 +74,26 @@
129 EOF
130 }
131
132+function abspath {
133+ if [[ "$1" = /* ]]; then
134+ ABSPATH=$1
135+ else
136+ ABSPATH=./$1
137+ fi
138+ # Note: '|| echo' so we get a sane error message if it doesn't exist
139+ echo -n $(readlink -f $ABSPATH || echo $ABSPATH)
140+}
141+
142 function create_test_cmd {
143- if [[ "$_TARGETPATH" = /* ]]; then
144- EXE=$_TARGETPATH
145- else
146- EXE=./$_TARGETPATH
147- fi
148+ EXE=$(abspath $_TARGETPATH)
149 _CMD="-n $_TESTFILE -m 500"
150
151 DEB_HOST_ARCH=$(dpkg-architecture -qDEB_HOST_ARCH)
152 if [[ ${DEB_HOST_ARCH} =~ 'arm' ]]; then
153- _CMD="dbus-test-runner --task $(readlink -f $EXE) $_CMD"
154+ _CMD="dbus-test-runner --task $EXE $_CMD"
155 else
156 _CMD="dbus-test-runner --task gdb -p --quiet $_CMD"
157- _CMD="$_CMD -p --batch -p -ex -p 'set print thread-events off' -p -ex -p run -p -ex -p bt -p --return-child-result -p --args -p $(readlink -f $EXE)"
158+ _CMD="$_CMD -p --batch -p -ex -p 'set print thread-events off' -p -ex -p run -p -ex -p bt -p --return-child-result -p --args -p $EXE"
159 fi
160
161 if [[ 'minimal custom' == *$_MINIMAL* ]]; then
162@@ -95,27 +101,26 @@
163 fi
164
165 if [[ $_TESTFILEPATH == *\.qml* ]]; then
166- _CMD="$_CMD -p -input -p $_TESTFILEPATH"
167+ _CMD="$_CMD -p -input -p $(abspath $_TESTFILEPATH)"
168 fi
169 _CMD="$_CMD -p -maxwarnings -p 100"
170 }
171
172 function execute_test_cmd {
173 echo "Executing $_CMD $_ARGS"
174- echo "Working directory: $PWD"
175 if [ ! -x $_TARGETPATH ]; then
176 echo "Error: $_TARGET wasn't built!"
177 RESULT=2
178 elif [ $DISPLAY ]; then
179- cd $(dirname $_TARGETPATH)
180+ SRC_TARGETPATH=$(echo $EXE | sed "s@$BUILD_DIR@$SRC_DIR@")
181+ cd $(dirname $SRC_TARGETPATH)
182
183 # https://bugs.launchpad.net/ubuntu-ui-toolkit/+bug/1256999
184 # https://bugreports.qt-project.org/browse/QTBUG-36243
185-
186 # QV4_MM_AGGRESSIVE_GC=1 \
187 ALARM_BACKEND=memory SUPPRESS_DEPRECATED_NOTE=no \
188 QT_LOGGING_RULES="[PERFORMANCE].warning=false" \
189- $_CMD $_ARGS 2>&1 | grep -v 'QFontDatabase: Cannot find font directory'
190+ $_CMD $_ARGS 2>&1 | sed "s@$_TESTFILE: @@" | grep -v 'QFontDatabase: Cannot find font directory'
191 if [ ! -s $_XML ]; then
192 # Write fallback in case it crashed and the file is empty
193 if [[ $_XML == *".SEGFAULT"* ]]; then
194@@ -125,7 +130,7 @@
195 fi
196 fi
197 if [ "x$UITK_TEST_KEEP_RUNNING" != "x1" ]; then
198- ${BUILD_DIR}/tests/checkresults.sh $_XML
199+ ${SRC_DIR}/tests/checkresults.sh $_XML
200 RESULT=$?
201 fi
202 else
203
204=== modified file 'tests/xvfb.sh'
205--- tests/xvfb.sh 2013-12-19 14:46:25 +0000
206+++ tests/xvfb.sh 2016-06-09 15:26:11 +0000
207@@ -1,4 +1,4 @@
208-#!/bin/sh
209+#!/bin/bash
210 #
211 # Copyright 2013 Canonical Ltd.
212 #
213@@ -16,15 +16,18 @@
214 #
215 # Author: Christian Dywan <christian.dywan@canonical.com>
216
217+. `dirname ${BASH_SOURCE[0]}`/../export_qml_dir.sh || exit 1
218+
219+LOG=$BUILD_DIR/xvfb.err
220 echo Running $@ in virtual frame buffer...
221-xvfb-run -a -s "-screen 0 1280x1024x24" -e xvfb.err "$@" 2>test.err
222+xvfb-run -a -s "-screen 0 1280x1024x24" -e $LOG "$@" 2>$LOG
223 RETVAL=$?
224 if [ $RETVAL -eq 0 ]; then
225 echo $@ finished successfully...
226 else
227 echo $@ in virtual frame buffer failed...
228- cat test.err >&2
229+ cat $LOG >&2
230 echo Tail of xvfb-run output:
231- tail xvfb.err >&2
232+ tail $LOG >&2
233 exit $RETVAL
234 fi

Subscribers

People subscribed via source and target branches